<div class="tab spellbook spellbook-pane" data-group="primary" data-tab="spellbook">

    <ol class="spellcastingEntry-list directory-list">
        {{#each actor.spellcastingEntries as |entry eid|}}
        <li class="item item-container" data-container-type="spellcastingEntry" data-container-id="{{entry._id}}">
            <div class="action-header">
                {{#if entry.data.prepared.preparedSpells}}
                <a class="skill-name prepared-toggle" title="{{localize "PF2E.ToggleSpellVisibilityTitle"}}"><i class="fas fa-book-open"></i></a>
                {{/if}}
                <h3 class="item-name pf-heading pf-actions hide-container-toggle">{{{entry.name}}}</h3>
                {{#if ../owner}}
                <div class="item-controls">
                    <a class="item-control spellcasting-remove" title="{{localize "PF2E.RemoveSpellcastingEntryTitle"}}" data-type="{{eid}}"><i class="fas fa-minus"></i>{{localize "PF2E.DeleteShortLabel"}}</a>
                </div>
                {{/if}}
            </div>
            {{#unless entry.data.tradition.ritual}}
                {{#if entry.data.tradition.focus}}
                <ol class="skills-list focus">
                    <li class="skill-grid">
                        <div class="skill-container focus-points">
                            <h4 class="skill-name">{{localize "PF2E.Focus.label"}}</h4>
                            <span class="skill-item pf-small" title="{{localize "PF2E.Focus.pointTitle"}}">
                                <input type="hidden" name="data.items.{{eid}}.data.focus.points" data-stat-type="item" data-max="3" value="{{entry.data.focus.points}}" data-dtype="Number" data-category="focus"/>
                                <span class="proficiency-rank click-stat-level pf-value" title="{{localize "PF2E.Focus.pointTitle"}}">{{{entry.data.focus.icon}}}</span>
                            </span>
                        </div>
                        <div class="skill-container focus-pool">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15.32 14.3"><defs><style>.fill{fill:#3c3c3c}</style></defs><g id="Layer_2" data-name="Layer 2"><g id="Layer_1-2" data-name="Layer 1"><path class="fill" d="M15 8.37a4.23 4.23 0 01-.21.63.85.85 0 01.06-.31.92.92 0 010-.25 1.93 1.93 0 010-.33.68.68 0 010-.32c.05-.1 0-.2 0-.31s.06-.22.08-.33h-.38v-.28a.71.71 0 000-.14.27.27 0 010-.09v-.21a2.66 2.66 0 000-.28v-.21-.11c0-.05 0 0 0 0h-.05c-.05 0 .05 0 .05-.1s-.09 0-.11-.06 0 0 0-.07.06-.08.06-.1-.08 0-.08-.1v-.08a.35.35 0 000-.14 2.61 2.61 0 00-.16-.61 4.44 4.44 0 00-.22-.61c-.07-.15-.14-.29-.22-.43a1.59 1.59 0 00-.15-.21 1.29 1.29 0 000 .33c0-.1 0 0-.12 0s-.09 0-.12-.11a3 3 0 00-.16-.31l-.12-.2v-.08c0 .03.12.13.16.18s0-.18-.1-.2-.21-.08-.23-.17.12.11.22 0a.46.46 0 01-.15-.16c-.06-.13-.11-.27-.17-.4a1.65 1.65 0 00-.48-.39l.06.13c.07 0 .06.07.05.1s-.19-.11-.22-.24 0-.07-.07-.11-.07 0-.07-.1h.12v-.18c0-.03-.1 0-.13 0s0-.07 0-.09a.44.44 0 00.2-.32v.09l-.08.09c0 .06.07.1.06.15s0 .05-.1 0L12 1.29s-.07-.11-.12-.15A1.18 1.18 0 0011.7 1s-.4-.31-.43-.22.07.08.1.11a1.53 1.53 0 01.18.18l.42.33.19.17s.14.13.14.18-.1 0-.13 0-.11-.09-.18-.07v.06l-.3-.22c.1 0 .08-.05 0-.1a.42.42 0 00-.21-.08.61.61 0 00.07.1l-.16-.1h.08c-.07 0-.07-.1-.13-.14s-.18-.07-.18 0v.08L11 1a1.22 1.22 0 01-.28-.14c-.06 0-.08-.09-.15-.1h-.07c-.07 0-.07 0-.09-.09s0 0-.08 0h-.11L9.93.59A6.76 6.76 0 008.37.28L7.6.23a2.28 2.28 0 00-.37 0s-.32 0-.29.08h-.13c0-.06-.13-.06 0 0a6.93 6.93 0 00-1.38.36h-.16a2.39 2.39 0 01-.28.13.85.85 0 01-.29.2.22.22 0 00-.16 0 .63.63 0 00-.11.12h.05l-.37.22.09-.11a.85.85 0 00-.42.17l-.1.05c-.07.06-.05.14 0 .15l-.08.06a7 7 0 00-1.83 2.11s-.07.06-.07.07-.05.09-.08.14l-.15.3.07-.06v.1a.38.38 0 00-.09.12v.13a1.67 1.67 0 01-.08.2.36.36 0 010 .09V4.98s0 .08-.05.12a1.29 1.29 0 000 .19H1.31c.07 0-.07.27-.1.41s0 .18 0 .19-.27-.07-.29-.1a2.12 2.12 0 00-.11.61v1.3a.45.45 0 000 .16.16.16 0 010 .1c0 .07-.07 0-.07.1A4.43 4.43 0 00.87 9a2.54 2.54 0 00.13.33.21.21 0 010 .07v.13a.3.3 0 010 .13l.05-.14a1.45 1.45 0 01.17.26c0 .08.09.24.17.25.06 0 .05.12.1.18a.31.31 0 00.09.07l.06.12c.07.15.16.29.24.43a6 6 0 00.59.81A7 7 0 004 12.92a6.84 6.84 0 001.82.84 5.34 5.34 0 00.52.18c.2.05.4.07.6.1a5.66 5.66 0 001.3 0c.31 0 .63-.06.94-.11l.37-.08.25-.06a.08.08 0 01.07 0s0 .08.06.09.05 0 .08 0h.08a.64.64 0 01.13-.1c.19-.08.36-.19.54-.28s.21-.05.3-.1a.94.94 0 01.22-.12h.05a.1.1 0 000-.05h.18a.64.64 0 00.27-.11 3 3 0 00.27-.23 1.28 1.28 0 01.3-.17 4 4 0 00.76-.59l.33-.33c.1-.11.21-.2.32-.31a1.14 1.14 0 00.25-.39.64.64 0 01.27-.27 2 2 0 01-.2.38c.05-.06.62-.79.48-.87s-.14 0-.11-.08a1.34 1.34 0 01.17-.31c0-.05.06-.14.11-.17s.09 0 .12-.06a.49.49 0 00.1-.26 1.24 1.24 0 00-.29.32c-.06.11-.11.33-.24.38s0-.05 0-.09a.22.22 0 000-.08.42.42 0 01.06-.19 1.72 1.72 0 01.07-.21 2 2 0 00.14-.25 3.9 3.9 0 00.34-1.13s-.03.12-.03.16zm-3.64-7.14s-.01 0 0 0zm3.43 6.13s-.01.03 0 0zm0 .28a.25.25 0 000-.07v.13a.13.13 0 01-.02-.06zm-.15.36s-.01 0 0 0zm-.29 2.65zm-.17-.79zm.39-4.76v.1h-.05zm-.17-.23s0 .02 0 0zm.06.52c0-.16-.09-.31-.14-.46a.52.52 0 01.07.21 2.33 2.33 0 01.07.25zm-.18-1zm0 .24a.69.69 0 010 .2.76.76 0 01-.06-.16s-.08-.14 0-.16.03.03.04.07zm-.32-1v.22c.11-.07.12 0 .16.11a.61.61 0 01.08.32c0-.06-.05-.13-.08-.19s-.08-.14-.1 0 .16.37 0 .29-.02-.23-.02-.27 0-.11-.08-.25-.12-.19.02-.25zM13.31 3h-.05c.06-.09.1 0 .05 0zm-.11-.25l.08.13s-.1-.09-.08-.11zM12.88 2l-.08-.06s.09-.02.08.06zm-.19.11c.09 0 .14.11.2.19a.89.89 0 01.15.27c-.08 0-.15-.12-.2-.17a.43.43 0 01-.15-.31zm-.21-.21h.07v.07s-.07-.07-.07-.09zm0 .13a1 1 0 01.19.22c-.07 0-.24-.15-.24-.23zm-.21-.16c.05 0 .09 0 .05.09l-.07-.07zm-8.5-.3A1.43 1.43 0 014 1.4a1 1 0 01-.25.15zM1.46 4.4zM.92 6.08a.76.76 0 010 .16s-.01-.13 0-.16zm-.05.57a.43.43 0 010-.07v.27c0 .02-.02-.18 0-.2zM.88 7zm-.07.28c.11-.02.07.01 0-.04zm.06 1.23zm0 .13s.05-.01.04 0zm0-.73a1 1 0 010-.57V7.92zM1 9s-.07-.07 0-.11S1 9 1 9zm.14 0a1 1 0 01.05.16.26.26 0 01-.06-.16zm.14.67s.01 0-.01.02zm-.06-.46a.14.14 0 000 .06.14.14 0 01-.01-.04zM10 13.83s0-.01 0 0zm3.29-1.95s0-.04-.02 0zm.11-.24l.12-.11a.63.63 0 01-.14.11zm.31-.3l-.17.16c.05-.06.09-.16.16-.2a.06.06 0 01-.01.04zm.57-.66a4.11 4.11 0 01-.38.45s-.15.19-.16.08.13-.1.06-.14a2.2 2.2 0 00.28-.24 2.62 2.62 0 01.22-.25s-.02.07-.04.1zm.05-.25zm.09.31l-.06-.05s.04.01.04.05zm.12-1.88a.12.12 0 010-.09s-.02.06-.02.09zm.15.52l-.07.16a1.39 1.39 0 01.1-.33 1 1 0 01-.05.17zm0-1.14s.03 0 0 0zm.05-.16s-.05-.22 0-.17.01.09 0 .17zM15.27 7.15z"/><path class="fill" d="M10.36.68h-.09a.08.08 0 00.09 0zM.93 4.24c.12-.24.25-.48.38-.71a4.62 4.62 0 01.61-.84l.6-.59.14-.1c.06-.06.15-.12.16-.21s-.23.11-.32.21-.22.21-.32.32A6.42 6.42 0 001.6 3a7 7 0 00-.47.73L1 4a1.92 1.92 0 00-.16.42 1.55 1.55 0 00.09-.18zM14.8 5.36a.32.32 0 00.11.29 1.33 1.33 0 000-.79 2.4 2.4 0 00-.28-.79.73.73 0 000 .29c0 .1 0 .21.08.31a2.32 2.32 0 01.09.69zM5.57.49s0 .05.08.06.09 0 .12 0l.32-.13a1.94 1.94 0 00.54-.13 1.3 1.3 0 00-.48 0 2.83 2.83 0 00-.42.06c-.06.03-.26.07-.16.14zM13 1.37l.26.3s.17.26.2.24.07.16.17.19-.08-.16-.14-.25a3 3 0 00-.23-.3L13 1.23a2 2 0 00-.23-.23h-.1c-.04 0 0 0 0 .08l.12.14z"/><path class="fill" d="M14.86 6a4 4 0 010 .49v.24c0 .06 0 .15.09.08a.66.66 0 000-.24 1.15 1.15 0 000-.26 1.94 1.94 0 000-.24 1.15 1.15 0 000-.37c0-.07-.06-.08-.09 0s0 .06 0 .1zM2.32 11.86s-.22-.22-.19-.25a3.92 3.92 0 00-.39-.5 2.53 2.53 0 00.37.57l.21.26a1 1 0 00.23.22 1 1 0 00-.23-.3zM10.16.26a.83.83 0 00.35 0c-.08-.06-.1 0-.19 0s-.14-.1-.21-.17S9.91 0 9.89 0s.2.22.27.26zM13.92 2.54h.05c.05 0 .06.06.08.09s.1.15.16.22c0-.12-.12-.4-.25-.44s-.11 0-.14 0 .06.1.1.13zM15.16 7.63a.81.81 0 00-.05.35v.26c0-.1.06-.2.08-.3s.04-.23-.03-.31zM15.08 8.26s-.01-.01 0 0zM2.56 2.52a2.4 2.4 0 00-.23.21v.1c0-.04.12-.13.16-.16s.06-.06.07-.09.04-.09 0-.06zM5 .65V.56a.48.48 0 00-.24.07c-.09 0-.13 0-.18.11S4.83.61 5 .65zM12.33.66a.92.92 0 00.25.2c0-.12-.21-.24-.3-.31s-.12-.08-.1 0 .11.09.15.11zM10.65.47c0 .07.17.05.21.05s-.12-.22-.18-.19 0 0 0 .06-.05.07-.05 0 .02.07.02.08zM10 13.93l-.17.07a1 1 0 00-.36.14.59.59 0 00.3-.08l.32-.13zM13.67 3.24c0 .07.08.11.13.14a.35.35 0 00-.1-.25zM15.2 8.54a1.18 1.18 0 000 .25 2.88 2.88 0 00.1-.51c-.06.08-.12.2-.1.26zM.14 5.85v-.23a2.54 2.54 0 00-.09.48 2.21 2.21 0 00.09-.25zM1.06 9.67a3.88 3.88 0 00.15.36.37.37 0 00-.15-.36zM4 1h-.13l-.14.13A1.73 1.73 0 004 1zM1.37 10.43v-.06c0-.06-.06-.13-.08-.19-.06.11.08.15.08.25zM3.14 12.64s-.08-.06-.1 0 0 .06 0 .07.22 0 .1-.07zM.47 5.43a.15.15 0 000 .07c.07 0 .06-.06.05-.14s-.04.04-.05.07zM5.76 14.07a1.68 1.68 0 00-.24-.07.54.54 0 00.27.09zM.7 4.71a.8.8 0 000 .21.57.57 0 00.08-.26zM10.23 14h-.08H10.23zM11.12.63c-.06-.07-.1-.09-.09 0zM14.53 3.87a1.19 1.19 0 00-.11-.26c.02.08.03.21.11.26zM4.63.85l.06-.06c-.08 0-.14 0-.19.09a.21.21 0 00.13-.03zM3.3 1.43c-.07 0-.08 0-.13.05s.08-.01.13-.05zM.12 9v-.14a.36.36 0 000 .14zM1.56 10.71l-.06-.06s0 .15.08.15 0-.07-.02-.09zM2.78 12.38c0 .06 0 .06.05.1s-.01-.07-.05-.1zM2.76 2.23a.17.17 0 00.12-.11s-.09.05-.12.11zM9.57 14.23h-.05c0 .05 0 .05.1 0zM3.47 1.28c-.05 0-.06 0-.09.08s.07-.03.09-.08zM1.28 4.72c.06 0 .05 0 .05-.07s-.06.02-.05.07zM15.08 9.06a.1.1 0 000-.09zM5.17.66h-.09zM11.56 1.14h-.06c0 .06 0 .06.09.06zM8 14.29a.11.11 0 00.08 0zM.41 5.69s0-.03 0 0zM9.64.48h-.03zM0 8.24v-.1.1zM14.88 9.31v-.05.05zM1.22 10.05zM1.32 10.18l-.1-.13a.12.12 0 00.1.13zM14.41 3.58l-.05-.13s.02.1.05.13zM14.41 3.58zM3.11 1.91a.07.07 0 00-.06.09.1.1 0 00.06-.09zM11 .81l-.06-.05c-.06-.05.06.04.06.05zM11.69 13.46s.01-.02 0 0zM9.57 14zM14.67 10.2s.04.02 0 0zM3 1.65zM8.31 14.25s.03 0 0 0zM.08 8.68s.02 0 0 0zM.55 4.42zM13.71 2.2s-.06 0 0 0zM14.75 10.05zM12.1 1zM5.15.53zM1 5.68s-.06-.02 0 0zM9.31 14.09zM4 1.16s0 .01 0 0zM12 13.24c.07 0 0-.01 0 0zM11.81 13.37s.01 0 0 0zM.44 6s.01 0 0 0zM12.64 1.58s-.03-.05 0 0zM5.38.54s0 .01 0 0zM14.72 6.81zM14.68 4.77s-.01 0 0 0zM4.85 13.76zM13.94 2.6s-.01 0 0 0zM13.93 2.57zM12.67 1.31s0 .01 0 0zM15 9.24zM.29 6.61zM14.59 4s-.01 0 0 0zM15.19 7.55s-.02-.01 0 0zM12.64 12.7zM9.72 14.25s0-.01 0 0zM6.18 14.28s.02-.01 0 0zM13.63 2.83s0-.01 0 0zM5.32 14zM2.93 12.52s0-.01 0 0zM8.6 14.2s.01-.01 0 0zM3.43 1.79s-.01.02 0 0zM14.83 7s-.02 0 0 0zM9.85.51s-.01.02 0 0zM3.05 2.11zM9.61 14zM3.39 1.78s-.01.01 0 0zM3.34 1.82s0-.01 0 0zM14 3.85s0 .02 0 0z"/><path class="fill" d="M15 8.37a4.23 4.23 0 01-.21.63.85.85 0 01.06-.31.92.92 0 010-.25 1.93 1.93 0 010-.33.68.68 0 010-.32c.05-.1 0-.2 0-.31s.06-.22.08-.33h-.38v-.28a.71.71 0 000-.14.27.27 0 010-.09v-.21a2.66 2.66 0 000-.28v-.21-.11c0-.05 0 0 0 0h-.05c-.05 0 .05 0 .05-.1s-.09 0-.11-.06 0 0 0-.07.06-.08.06-.1-.08 0-.08-.1v-.08a.35.35 0 000-.14 2.61 2.61 0 00-.16-.61 4.44 4.44 0 00-.22-.61c-.07-.15-.14-.29-.22-.43a1.59 1.59 0 00-.15-.21 1.29 1.29 0 000 .33c0-.1 0 0-.12 0s-.09 0-.12-.11a3 3 0 00-.16-.31l-.12-.2v-.08c0 .03.12.13.16.18s0-.18-.1-.2-.21-.08-.23-.17.12.11.22 0a.46.46 0 01-.15-.16c-.06-.13-.11-.27-.17-.4a1.65 1.65 0 00-.48-.39l.06.13c.07 0 .06.07.05.1s-.19-.11-.22-.24 0-.07-.07-.11-.07 0-.07-.1h.12v-.18c0-.03-.1 0-.13 0s0-.07 0-.09a.44.44 0 00.2-.32v.09l-.08.09c0 .06.07.1.06.15s0 .05-.1 0L12 1.29s-.07-.11-.12-.15A1.18 1.18 0 0011.7 1s-.4-.31-.43-.22.07.08.1.11a1.53 1.53 0 01.18.18l.42.33.19.17s.14.13.14.18-.1 0-.13 0-.11-.09-.18-.07v.06l-.3-.22c.1 0 .08-.05 0-.1a.42.42 0 00-.21-.08.61.61 0 00.07.1l-.16-.1h.08c-.07 0-.07-.1-.13-.14s-.18-.07-.18 0v.08L11 1a1.22 1.22 0 01-.28-.14c-.06 0-.08-.09-.15-.1h-.07c-.07 0-.07 0-.09-.09s0 0-.08 0h-.11L9.93.59A6.76 6.76 0 008.37.28L7.6.23a2.28 2.28 0 00-.37 0s-.32 0-.29.08h-.13c0-.06-.13-.06 0 0a6.93 6.93 0 00-1.38.36h-.16a2.39 2.39 0 01-.28.13.85.85 0 01-.29.2.22.22 0 00-.16 0 .63.63 0 00-.11.12h.05l-.37.22.09-.11a.85.85 0 00-.42.17l-.1.05c-.07.06-.05.14 0 .15l-.08.06a7 7 0 00-1.83 2.11s-.07.06-.07.07-.05.09-.08.14l-.15.3.07-.06v.1a.38.38 0 00-.09.12v.13a1.67 1.67 0 01-.08.2.36.36 0 010 .09V4.98s0 .08-.05.12a1.29 1.29 0 000 .19H1.31c.07 0-.07.27-.1.41s0 .18 0 .19-.27-.07-.29-.1a2.12 2.12 0 00-.11.61v1.3a.45.45 0 000 .16.16.16 0 010 .1c0 .07-.07 0-.07.1A4.43 4.43 0 00.87 9a2.54 2.54 0 00.13.33.21.21 0 010 .07v.13a.3.3 0 010 .13l.05-.14a1.45 1.45 0 01.17.26c0 .08.09.24.17.25.06 0 .05.12.1.18a.31.31 0 00.09.07l.06.12c.07.15.16.29.24.43a6 6 0 00.59.81A7 7 0 004 12.92a6.84 6.84 0 001.82.84 5.34 5.34 0 00.52.18c.2.05.4.07.6.1a5.66 5.66 0 001.3 0c.31 0 .63-.06.94-.11l.37-.08.25-.06a.08.08 0 01.07 0s0 .08.06.09.05 0 .08 0h.08a.64.64 0 01.13-.1c.19-.08.36-.19.54-.28s.21-.05.3-.1a.94.94 0 01.22-.12h.05a.1.1 0 000-.05h.18a.64.64 0 00.27-.11 3 3 0 00.27-.23 1.28 1.28 0 01.3-.17 4 4 0 00.76-.59l.33-.33c.1-.11.21-.2.32-.31a1.14 1.14 0 00.25-.39.64.64 0 01.27-.27 2 2 0 01-.2.38c.05-.06.62-.79.48-.87s-.14 0-.11-.08a1.34 1.34 0 01.17-.31c0-.05.06-.14.11-.17s.09 0 .12-.06a.49.49 0 00.1-.26 1.24 1.24 0 00-.29.32c-.06.11-.11.33-.24.38s0-.05 0-.09a.22.22 0 000-.08.42.42 0 01.06-.19 1.72 1.72 0 01.07-.21 2 2 0 00.14-.25 3.9 3.9 0 00.34-1.13s-.03.12-.03.16zm-3.64-7.14s-.01 0 0 0zm3.43 6.13s-.01.03 0 0zm0 .28a.25.25 0 000-.07v.13a.13.13 0 01-.02-.06zm-.15.36s-.01 0 0 0zm-.29 2.65zm-.17-.79zm.39-4.76v.1h-.05zm-.17-.23s0 .02 0 0zm.06.52c0-.16-.09-.31-.14-.46a.52.52 0 01.07.21 2.33 2.33 0 01.07.25zm-.18-1zm0 .24a.69.69 0 010 .2.76.76 0 01-.06-.16s-.08-.14 0-.16.03.03.04.07zm-.32-1v.22c.11-.07.12 0 .16.11a.61.61 0 01.08.32c0-.06-.05-.13-.08-.19s-.08-.14-.1 0 .16.37 0 .29-.02-.23-.02-.27 0-.11-.08-.25-.12-.19.02-.25zM13.31 3h-.05c.06-.09.1 0 .05 0zm-.11-.25l.08.13s-.1-.09-.08-.11zM12.88 2l-.08-.06s.09-.02.08.06zm-.19.11c.09 0 .14.11.2.19a.89.89 0 01.15.27c-.08 0-.15-.12-.2-.17a.43.43 0 01-.15-.31zm-.21-.21h.07v.07s-.07-.07-.07-.09zm0 .13a1 1 0 01.19.22c-.07 0-.24-.15-.24-.23zm-.21-.16c.05 0 .09 0 .05.09l-.07-.07zm-8.5-.3A1.43 1.43 0 014 1.4a1 1 0 01-.25.15zM1.46 4.4zM.92 6.08a.76.76 0 010 .16s-.01-.13 0-.16zm-.05.57a.43.43 0 010-.07v.27c0 .02-.02-.18 0-.2zM.88 7zm-.07.28c.11-.02.07.01 0-.04zm.06 1.23zm0 .13s.05-.01.04 0zm0-.73a1 1 0 010-.57V7.92zM1 9s-.07-.07 0-.11S1 9 1 9zm.14 0a1 1 0 01.05.16.26.26 0 01-.06-.16zm.14.67s.01 0-.01.02zm-.06-.46a.14.14 0 000 .06.14.14 0 01-.01-.04zM10 13.83s0-.01 0 0zm3.29-1.95s0-.04-.02 0zm.11-.24l.12-.11a.63.63 0 01-.14.11zm.31-.3l-.17.16c.05-.06.09-.16.16-.2a.06.06 0 01-.01.04zm.57-.66a4.11 4.11 0 01-.38.45s-.15.19-.16.08.13-.1.06-.14a2.2 2.2 0 00.28-.24 2.62 2.62 0 01.22-.25s-.02.07-.04.1zm.05-.25zm.09.31l-.06-.05s.04.01.04.05zm.12-1.88a.12.12 0 010-.09s-.02.06-.02.09zm.15.52l-.07.16a1.39 1.39 0 01.1-.33 1 1 0 01-.05.17zm0-1.14s.03 0 0 0zm.05-.16s-.05-.22 0-.17.01.09 0 .17zM15.27 7.15z"/><path class="fill" d="M10.36.68h-.09a.08.08 0 00.09 0zM.93 4.24c.12-.24.25-.48.38-.71a4.62 4.62 0 01.61-.84l.6-.59.14-.1c.06-.06.15-.12.16-.21s-.23.11-.32.21-.22.21-.32.32A6.42 6.42 0 001.6 3a7 7 0 00-.47.73L1 4a1.92 1.92 0 00-.16.42 1.55 1.55 0 00.09-.18zM14.8 5.36a.32.32 0 00.11.29 1.33 1.33 0 000-.79 2.4 2.4 0 00-.28-.79.73.73 0 000 .29c0 .1 0 .21.08.31a2.32 2.32 0 01.09.69zM5.57.49s0 .05.08.06.09 0 .12 0l.32-.13a1.94 1.94 0 00.54-.13 1.3 1.3 0 00-.48 0 2.83 2.83 0 00-.42.06c-.06.03-.26.07-.16.14zM13 1.37l.26.3s.17.26.2.24.07.16.17.19-.08-.16-.14-.25a3 3 0 00-.23-.3L13 1.23a2 2 0 00-.23-.23h-.1c-.04 0 0 0 0 .08l.12.14z"/><path class="fill" d="M14.86 6a4 4 0 010 .49v.24c0 .06 0 .15.09.08a.66.66 0 000-.24 1.15 1.15 0 000-.26 1.94 1.94 0 000-.24 1.15 1.15 0 000-.37c0-.07-.06-.08-.09 0s0 .06 0 .1zM2.32 11.86s-.22-.22-.19-.25a3.92 3.92 0 00-.39-.5 2.53 2.53 0 00.37.57l.21.26a1 1 0 00.23.22 1 1 0 00-.23-.3zM10.16.26a.83.83 0 00.35 0c-.08-.06-.1 0-.19 0s-.14-.1-.21-.17S9.91 0 9.89 0s.2.22.27.26zM13.92 2.54h.05c.05 0 .06.06.08.09s.1.15.16.22c0-.12-.12-.4-.25-.44s-.11 0-.14 0 .06.1.1.13zM15.16 7.63a.81.81 0 00-.05.35v.26c0-.1.06-.2.08-.3s.04-.23-.03-.31zM15.08 8.26s-.01-.01 0 0zM2.56 2.52a2.4 2.4 0 00-.23.21v.1c0-.04.12-.13.16-.16s.06-.06.07-.09.04-.09 0-.06zM5 .65V.56a.48.48 0 00-.24.07c-.09 0-.13 0-.18.11S4.83.61 5 .65zM12.33.66a.92.92 0 00.25.2c0-.12-.21-.24-.3-.31s-.12-.08-.1 0 .11.09.15.11zM10.65.47c0 .07.17.05.21.05s-.12-.22-.18-.19 0 0 0 .06-.05.07-.05 0 .02.07.02.08zM10 13.93l-.17.07a1 1 0 00-.36.14.59.59 0 00.3-.08l.32-.13zM13.67 3.24c0 .07.08.11.13.14a.35.35 0 00-.1-.25zM15.2 8.54a1.18 1.18 0 000 .25 2.88 2.88 0 00.1-.51c-.06.08-.12.2-.1.26zM.14 5.85v-.23a2.54 2.54 0 00-.09.48 2.21 2.21 0 00.09-.25zM1.06 9.67a3.88 3.88 0 00.15.36.37.37 0 00-.15-.36zM4 1h-.13l-.14.13A1.73 1.73 0 004 1zM1.37 10.43v-.06c0-.06-.06-.13-.08-.19-.06.11.08.15.08.25zM3.14 12.64s-.08-.06-.1 0 0 .06 0 .07.22 0 .1-.07zM.47 5.43a.15.15 0 000 .07c.07 0 .06-.06.05-.14s-.04.04-.05.07zM5.76 14.07a1.68 1.68 0 00-.24-.07.54.54 0 00.27.09zM.7 4.71a.8.8 0 000 .21.57.57 0 00.08-.26zM10.23 14h-.08H10.23zM11.12.63c-.06-.07-.1-.09-.09 0zM14.53 3.87a1.19 1.19 0 00-.11-.26c.02.08.03.21.11.26zM4.63.85l.06-.06c-.08 0-.14 0-.19.09a.21.21 0 00.13-.03zM3.3 1.43c-.07 0-.08 0-.13.05s.08-.01.13-.05zM.12 9v-.14a.36.36 0 000 .14zM1.56 10.71l-.06-.06s0 .15.08.15 0-.07-.02-.09zM2.78 12.38c0 .06 0 .06.05.1s-.01-.07-.05-.1zM2.76 2.23a.17.17 0 00.12-.11s-.09.05-.12.11zM9.57 14.23h-.05c0 .05 0 .05.1 0zM3.47 1.28c-.05 0-.06 0-.09.08s.07-.03.09-.08zM1.28 4.72c.06 0 .05 0 .05-.07s-.06.02-.05.07zM15.08 9.06a.1.1 0 000-.09zM5.17.66h-.09zM11.56 1.14h-.06c0 .06 0 .06.09.06zM8 14.29a.11.11 0 00.08 0zM.41 5.69s0-.03 0 0zM9.64.48h-.03zM0 8.24v-.1.1zM14.88 9.31v-.05.05zM1.22 10.05zM1.32 10.18l-.1-.13a.12.12 0 00.1.13zM14.41 3.58l-.05-.13s.02.1.05.13zM14.41 3.58zM3.11 1.91a.07.07 0 00-.06.09.1.1 0 00.06-.09zM11 .81l-.06-.05c-.06-.05.06.04.06.05zM11.69 13.46s.01-.02 0 0zM9.57 14zM14.67 10.2s.04.02 0 0zM3 1.65zM8.31 14.25s.03 0 0 0zM.08 8.68s.02 0 0 0zM.55 4.42zM13.71 2.2s-.06 0 0 0zM14.75 10.05zM12.1 1zM5.15.53zM1 5.68s-.06-.02 0 0zM9.31 14.09zM4 1.16s0 .01 0 0zM12 13.24c.07 0 0-.01 0 0zM11.81 13.37s.01 0 0 0zM.44 6s.01 0 0 0zM12.64 1.58s-.03-.05 0 0zM5.38.54s0 .01 0 0zM14.72 6.81zM14.68 4.77s-.01 0 0 0zM4.85 13.76zM13.94 2.6s-.01 0 0 0zM13.93 2.57zM12.67 1.31s0 .01 0 0zM15 9.24zM.29 6.61zM14.59 4s-.01 0 0 0zM15.19 7.55s-.02-.01 0 0zM12.64 12.7zM9.72 14.25s0-.01 0 0zM6.18 14.28s.02-.01 0 0zM13.63 2.83s0-.01 0 0zM5.32 14zM2.93 12.52s0-.01 0 0zM8.6 14.2s.01-.01 0 0zM3.43 1.79s-.01.02 0 0zM14.83 7s-.02 0 0 0zM9.85.51s-.01.02 0 0zM3.05 2.11zM9.61 14zM3.39 1.78s-.01.01 0 0zM3.34 1.82s0-.01 0 0zM14 3.85s0 .02 0 0z"/></g></g></svg>
                            <span class="skill-item pf-value focus-pool-input" title="{{localize "PF2E.Focus.poolTitle"}}">
                            <h4 class="skill-item pf-title">{{localize "PF2E.Focus.poolLabel"}}</h4>
                                <input type="text" name="data.items.{{eid}}.data.focus.pool" value="{{entry.data.focus.pool}}"
                                        data-dtype="Number" placeholder="0"/>
                            </span>
                        </div>
                    </li>
                </ol>
                {{/if}}
                <ol class="skills-list spell-dc">
                    <li class="skill-grid">
                        {{#unless entry.data.tradition.focus}}
                        <span class="skill-score spellcasting rollable" title="{{entry.data.spelldc.breakdown}}">{{numberFormat entry.data.spelldc.value decimals=0 sign=true}}</span>
                        <h4 class="skill-name spellcasting rollable">{{localize "PF2E.SpellAttackLabel"}}</h4>
                        {{/unless}}

                        <span class="skill-score spellcasting rollable" title="{{entry.data.spelldc.breakdown}}">{{entry.data.spelldc.dc}}</span>
                        <h4 class="skill-name spellcasting rollable">{{localize "PF2E.SpellSaveLabel"}}</h4>

                        <div class="skill-container skill-proficiency">
                            <h4 class="pf-title" title="Left-Click to move forward one step. Right-Click to move backwards one step.">{{localize 'PF2E.ProficiencyLabel'}}</h4>
                            <input type="hidden" name="data.items.{{eid}}.data.proficiency.value" data-stat-type="item" value="{{entry.data.proficiency.value}}" data-dtype="Number" data-category="proficiency"/>
                            <span class="pf-value pf-rank click-stat-level" title="{{entry.data.spelldc.hover}}">{{localize (add 'PF2E.ProficiencyLevel' entry.data.proficiency.value)}}</span>
                        </div>
                        <div class="skill-container item-modifier">
                            <h4 class="skill-item pf-title">{{localize "PF2E.ItemBonusShortLabel"}}</h4>
                            <span class="skill-item pf-value item-value-input" title="{{localize "PF2E.ItemTitle"}}">
                                <input type="text" name="data.items.{{eid}}.data.item.value" value="{{entry.data.item.value}}"
                                        data-dtype="Number" placeholder="+0"/>
                            </span>
                        </div>
                    </li>
                    <li class="spell-ability">
                        <div class="skill-name">
                            <select class="ability-select" name="data.items.{{eid}}.data.ability.value" data-type="String">
                                {{#select entry.data.ability.value}}
                                <option value="">{{localize "PF2E.SpellAbilityLabel"}}</option>
                                {{#each ../data.abilities as |abl a|}}
                                <option value="{{a}}">{{abl.label}}</option>
                                {{/each}}
                                {{/select}}
                            </select>
                        </div>
                    </li>
                </ol>
            {{/unless}}
        {{#unless entry.data.prepared.preparedSpells}}

            <!-- Everything except prepared spells -->
            <ol class="inventory-list directory-list">

                    <!-- Add section for each spell level -->
                    {{#each entry.spellbook as |section lvl|}}
                        <li class="item inventory-header spellbook-header" data-item-id="{{entry._id}}" data-item-type="spellLevel" data-level="{{lvl}}">
                            <div class="item-name flexrow">
                                <h3>{{section.label}}</h3>

                                {{#unless entry.data.tradition.ritual}}
                                    {{#unless entry.data.tradition.focus}}
                                        {{#unless section.isCantrip}}
                                        <span class="spell-slots-input">
                                            <input type="text" name="data.items.{{eid}}.data.slots.slot{{lvl}}.value" value="{{section.uses}}" placeholder="0" data-type="Number"/>
                                        </span>
                                        <span class="flex0"> / </span>
                                        <span class="spell-max-input">
                                            <input type="text" name="data.items.{{eid}}.data.slots.slot{{lvl}}.max" value="{{section.slots}}" placeholder="0" data-type="Number"/>
                                        </span>
                                        &nbsp;
                                        <a class="spell-slots-increment-reset" data-item-id="{{entry._id}}"  data-level="{{lvl}}"><i class="fas fa-redo"></i></a>
                                        {{else}}
                                        <span class="spell-slots">&infin;</span>
                                        <span class="flex0"> / </span>
                                        <span class="spell-max">&infin;</span>
                                        {{/unless}}
                                    {{/unless}}
                                {{/unless}}
                            </div>

                            <div class="spell-school-header">{{localize "PF2E.SpellsSchoolHeader"}}</div>
                            <div class="spell-action-header">{{localize "PF2E.SpellsActionHeader"}}</div>

                            {{#if ../../owner}}
                            <div class="item-controls">
                                <a class="item-control spell-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                                    data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-plus"></i></a>
                                <a class="item-control spell-browse" title="{{localize "PF2E.OpenSpellBrowserTitle"}}" data-type="spell"
                                data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-search"></i></a>
                            </div>
                            {{/if}}
                        </li>

                        <!-- Add spell items for each spell level -->
                        {{#each section.spells as |item i|}}
                        <li class="item" data-spell-lvl="{{lvl}}" data-item-id="{{item._id}}" data-item-type="spell">
                            <div class="item-name rollable">
                                <div class="item-image">
                                    <img class="item-icon" src="{{item.img}}" alt="{{item.name}}">
                                </div>
                                <h4>{{item.name}}</h4>
                            </div>

                            <div class="spell-school">{{item.data.school.str}}</div>
                            <div class="spell-action">{{item.data.time.value}}</div>

                            {{#if ../../../owner}}
                            <div class="item-controls">
                                <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                                <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                            </div>
                            {{/if}}

                            <div class="spell-cast">
                                <button class="spell-slots-increment-down" data-item-id="{{entry._id}}"  data-level="{{lvl}}">Cast</button>
                            </div>
                        </li>
                        {{/each}}

                    {{else}}
                        <!-- Add Spells Row -->
                        <li class="item inventory-header spellbook-header spellbook-empty">
                            {{#if ../owner}}
                            <div class="item-controls pf-bluelist pf-add-item-row">
                                <a class="item-control spell-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                                    data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-plus"></i>{{localize "PF2E.AddSpellTitle"}}</a>
                                <a class="item-control spell-browse" title="{{localize "PF2E.OpenSpellBrowserTitle"}}" data-type="spell"
                                    data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-search"></i>{{localize "PF2E.OpenSpellBrowserTitle"}}</a>
                            </div>
                            {{/if}}
                        </li>
                    {{/each}}
                </ol>
        {{else}}

            <!-- Prepared Spells -->
            <ol class="inventory-list directory-list">

                <!-- Add section for each level -->
                {{#each entry.spellbook as |section lvl|}}
                    <li class="item inventory-header spellbook-header" data-item-id="{{entry._id}}" data-item-type="spellLevel" data-level="{{lvl}}">
                        <div class="item-name flexrow">

                        <div class="level-prepared-toggle-div">
                            {{#if entry.data.showUnpreparedSpells.value}}
                            <a class="skill-name level-prepared-toggle"
                                title="{{localize "PF2E.ToggleSpellVisibilityLevelTitle"}}"
                                ><i class="fas fa-book-open"></i></a>
                            {{/if}}
                        </div>
                            <h3>{{section.label}}</h3>

                            {{#if section.isFocus}}
                            <span class="spell-slots-input">
                                <input type="text" name="data.items.{{eid}}.data.slots.slot{{lvl}}.value" value="{{section.uses}}" placeholder="0" data-type="Number"/>
                            </span>
                            <span class="flex0"> / </span>
                            <span class="spell-max-input">
                                <input type="text" name="data.items.{{eid}}.data.slots.slot{{lvl}}.max" value="{{section.slots}}" placeholder="0" data-type="Number"/>
                            </span>
                            {{else}}
                            <span class="spell-max-input">
                                <input type="text" name="data.items.{{eid}}.data.slots.slot{{lvl}}.max" value="{{section.slots}}" placeholder="0" data-type="Number"/>
                            </span>
                            {{/if}}
                        </div>

                        <div class="spell-school-header">{{localize "PF2E.SpellsSchoolHeader"}}</div>
                        <div class="spell-action-header">{{localize "PF2E.SpellsActionHeader"}}</div>

                        {{#if ../../owner}}
                        <div class="item-controls">
                            <a class="item-control spell-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                                data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-plus"></i></a>
                            <a class="item-control spell-browse" title="{{localize "PF2E.OpenSpellBrowserTitle"}}" data-type="spell"
                            data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-search"></i></a>
                        </div>
                        {{/if}}
                    </li>

                    {{#unless section.isFocus}}
                        {{#each section.prepared as |item i|}}

                            {{#if item.prepared}}
                                <li class="item" data-item-id="{{item._id}}" data-slot-id="{{i}}" data-spell-lvl="{{lvl}}" data-entry-id="{{entry._id}}" data-expended-state="{{item.expended}}">
                                    <div class="item-name">
                                        <div class="item-image">
                                            <img class="item-icon" src="{{item.img}}" alt="{{item.name}}">
                                        </div>
                                        {{#if item.expended}}
                                            <h4>{{item.name}}</h4>
                                        {{else}}
                                            <h4>{{item.name}}</h4>
                                        {{/if}}
                                    </div>

                                    <div class="spell-school">{{item.data.school.str}}</div>
                                    <div class="spell-action">{{item.data.time.value}}</div>

                                    {{#if ../../../owner}}
                                    <div class="item-controls">
                                        <!-- <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a> -->
                                        <a class="item-control item-toggle-prepare" title="{{localize "PF2E.ExpendSpellTitle"}}"><i class="fas fa-minus-square"></i></a>
                                        <a class="item-control item-unprepare" title="{{localize "PF2E.UnprepareItemTitle"}}"><i class="fas fa-trash"></i></a>
                                    </div>
                                    {{/if}}
                                </li>
                            {{else}}
                                <li class="item" data-item-id="{{i}}" data-spell-lvl="{{lvl}}" data-item-type="spellSlot" data-entry-id="{{entry._id}}">
                                    <div class="item-name">
                                        <h4>{{item.name}}</h4>
                                    </div>
                                </li>
                            {{/if}}

                        {{/each}}

                        {{#if entry.data.showUnpreparedSpells.value}}
                        {{#if section.displayPrepared}}
                        <h3 class="item-name pf-sub-category pf-actions level-prepared-header">{{unpreparedSpellsLabel}}</h3>

                        <!-- Unprepared Spells -->
                            {{#each section.spells as |item i|}}
                                <li class="item spellbook-item" data-item-id="{{item._id}}" data-item-type="spell">
                                    <div class="item-name rollable">

                                        <h4>{{item.name}}</h4>
                                    </div>

                                    <div class="spell-school">{{item.data.school.str}}</div>
                                    <div class="spell-action">{{item.data.time.value}}</div>

                                    {{#if ../../../owner}}
                                    <div class="item-controls">
                                        <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                                        <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                                    </div>
                                    {{/if}}
                                </li>
                            {{/each}}
                        {{/if}}
                        {{/if}}
                    {{else}}
                        <!-- Add spell items for each level -->
                        {{#each section.spells as |item i|}}
                        <li class="item" data-spell-lvl="1" data-item-id="{{item._id}}">
                            <div class="item-name rollable">
                                <div class="item-image">
                                    <img class="item-icon" src="{{item.img}}" alt="{{item.name}}">
                                </div>
                                <h4>{{item.name}}</h4>
                            </div>

                            <div class="spell-school">{{item.data.school.str}}</div>
                            <div class="spell-action">{{item.data.time.value}}</div>

                            {{#if ../../../owner}}
                            <div class="item-controls">
                                <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a>
                                <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                            </div>
                            {{/if}}
                        </li>
                        {{/each}}
                    {{/unless}}

                {{else}}
                    <!-- Add spells row -->
                    <li class="item inventory-header spellbook-header spellbook-empty">
                        {{#if ../owner}}
                        <div class="item-controls pf-bluelist pf-add-item-row">
                            <a class="item-control spell-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                                data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-plus"></i>{{localize "PF2E.AddSpellTitle"}}</a>
                            <a class="item-control spell-browse" title="{{localize "PF2E.OpenSpellBrowserTitle"}}" data-type="spell"
                                data-level="{{lvl}}" data-location="{{entry._id}}"><i class="fas fa-search"></i>{{localize "PF2E.OpenSpellBrowserTitle"}}</a>
                        </div>
                        {{/if}}
                    </li>
                {{/each}}
            </ol>


        {{/unless}}
    </li>


    {{/each}}

    <ol class="singleColumn-list">
        <li class="item inventory-header spellbook-header spellbook-empty">
            {{#if owner}}
            <div class="item-controls pf-bluelist pf-add-item-row">
                <a class="item-control spellcasting-create" title="{{localize "PF2E.CreateSpellTitle"}}" data-type="spell"
                    data-level="{{lvl}}"><i class="fas fa-plus"></i>{{localize "PF2E.AddSpellcastingEntryTitle"}}</a>
            </div>
            {{/if}}
        </li>
    </ol>

    {{#if actor.orphanedSpells}}
    <ol class="inventory-list directory-list">
        <li class="item inventory-header spellbook-header">
            <div class="item-name flexrow ">
                <h3>{{localize "PF2E.OrphanedSpellsHeader"}}</h3>
            </div>
        </li>

        {{#each actor.orphanedSpellbook as |section lvl|}}
            {{#each section.spells as |item i|}}
            <li class="item" data-item-id="{{item._id}}">
                <div class="item-name rollable">
                    <!-- <img class="item-image" src="{{item.img}}" alt="{{item.name}}"> -->
                    <h5>{{item.name}}</h5>
                </div>
    <!--
                <div class="spell-school">{{item.data.school.str}}</div>
                <div class="spell-action">{{item.data.time.value}}</div> -->

                {{#if ../../owner}}
                <div class="item-controls">
                    <!-- <a class="item-control item-edit" title="{{localize "PF2E.EditItemTitle"}}"><i class="fas fa-edit"></i></a> -->
                    <a class="item-control item-delete" title="{{localize "PF2E.DeleteItemTitle"}}"><i class="fas fa-trash"></i></a>
                </div>
                {{/if}}
            </li>
            {{/each}}
        {{/each}}
    </ol>
    {{/if}}
</ol>

</div>
